/*
 * Setup camera's traffic,this setting can adjust frame rate for live mode,the value bigger,the frame rate slower.
 * This setting also can influence single mode readout time,but only has a little influence.
 * QHY286's setting range is 0 - 60,step is 1.If setup successfully,program will return 0.
 */

#include "qhyccd.h"
#include "mex.h"
#include <time.h>
#include <string.h>
#include <windows.h>

void
mexFunction(int nlhs,mxArray *plhs[],int nrhs,const mxArray *prhs[])
{
    qhyccd_handle *camhandle = NULL;
		
	plhs[0] = mxCreateNumericMatrix(1, 1, mxINT32_CLASS, mxREAL);
	int *retVal = (int *)mxGetData(plhs[0]);
	char *id = (char *)mxGetData(prhs[0]);

	camhandle = OpenQHYCCD(id);
	if(camhandle == NULL)
	{
		printf("Open QHYCCD failed.\n");
		*retVal = -1;
		return;
	}
	
    int ret = QHYCCD_ERROR;
	bool *value = (bool *)mxGetData(prhs[1]);
	
	ret = SetQHYCCDTrigerFunction(camhandle, *value);
	if(ret == QHYCCD_SUCCESS)
	{
		printf("Set camera traffic successfully.\n");
		*retVal = 0;
	}
	else
	{
		printf("Set camera traffic failed.\n");
		*retVal = -1;
	}
}
